Subject: bug#44117: closed (Racket no longer fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Mar 2021 17:16:02 +0000

Your bug report

#44117: Racket build fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44117: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44117
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Racket no longer fails to build
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Thu, 11 Mar 2021 12:15:54 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I believe this is a an old build failure report that has been fixed in 
subsequent changes to the racket package. Therefore, I'm closing this bug. 
Feel free to reopen if I am mistaken and it is still relevant.

Best,
Jack

Subject: Racket build fails
From: "Bonface M. K." <[email-masked]>
To: [email-masked]
Date: Wed, 21 Oct 2020 19:51:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix. Building Racket on the tip: commit
5356cec68b9b7b5478d7df542c6a8fc70226b878
fails. The command used for build racket was:

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix build racket
--8<---------------cut here---------------end--------------->8---

Here's the build log:

--8<---------------cut here---------------start------------->8---
Failed to build Racket with the error:

Ok:                   93
Expected Fail:         0
Fail:                  1
Unexpected Pass:       0
Skipped:               0
Timeout:               0

The output from the failed tests:

73/94 mesa:intel / anv_state_pool             FAIL     0.42 s (killed by signal 11 SIGSEGV)

--- command ---
15:58:22 /tmp/guix-build-mesa-20.0.7.drv-0/build/src/intel/vulkan/state_pool
-------

Full log written to /tmp/guix-build-mesa-20.0.7.drv-0/build/meson-logs/testlog.txt
FAILED: meson-test 
/gnu/store/rp1cmpqmwzxmsn6n6jrr9dm8ankl6ixv-meson-for-build-0.53.2/bin/meson test --no-rebuild --print-errorlogs
ninja: build stopped: subcommand failed.
command "ninja" "test" failed with status 1
--8<---------------cut here---------------end--------------->8---

-- 
Bonface M. K. <https://www.bonfacemunyoki.com>
Chief Emacs Bazu / Rieng ya software sare
Mchochezi of: <https://upbookclub.com> / Twitter: @BonfaceKilz
GPG Key: D4F09EB110177E03C28E2FE1F5BBAE1E0392253F